import { Server } from "../data/server.model";
import { User } from "../data/user.model";
import { AutoRole } from "../data/auto_role.model";
import { Guild } from "../data/discord.model";

export interface Query {
  serverCount: number;
  servers: Server[];
}

export interface SingleDiscordQuery {
  guilds: Guild[];
}

export interface UserListQuery {
  userCount: number;
  users: User[];
}

export interface LevelListQuery {
  levelCount: number;
  levels: User[];
}

export interface AutoRoleQuery {
  autoRoleCount: number;
  autoRoles: AutoRole[];
}

